
body{
    background-color: #2C0E0E;
    font-family: var(--default-font);
}




header{
    padding: 10px;
    display: flex;
    gap: 450px;
}

@media (max-width: 480px) {
    header {
      padding: 10px;
      display: flex; 
      flex-wrap: wrap;
      gap: 90%;
    }
  }


header .logo img{
    border-radius: 18px;
    width: 150px;
    height: 150px;  
}

@media (max-width: 480px) {
   header .logo img{
    width: 120px;
    height: 120px;  
}
}


header .title{
    color: #ffb300;
    text-align: center;
    display: flex;
    align-items: center;
}

header .title h1{
    font-family: 'Montserrat', sans-serif;
    font-weight: bold;
    font-size: 42px;
    letter-spacing: 1.5px;
    font-style: italic;
    text-shadow: 5px 5px 8px rgba(0, 0, 0, 0.7);
}

@media (max-width: 480px) {
   header .title h1{ 
    font-weight: bold;
    font-size: 20px;    
}
}


.pretext{
    font-size: 20px;
    text-align: center;
    margin-top: 0;
}

@media (max-width: 480px) {
    .pretext{
    font-size: 10px;
    margin-bottom: 10px;
    width: 300px;
}
  }



form{
    display: flex;
    gap: 10px;
    justify-content: center;
    margin-bottom: 10px;
}

@media (max-width: 480px) {
    form{
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    gap: 10px;
    justify-content: center;
    margin-bottom: 10px;
    width: 300px;
}
  }


form input{
    outline: none;
    border: none;
    border-radius: 18px;
    padding: 10px;
    width: 500px;
    padding-left: 15px;
    background-color: #3A1616;
    color: #855e02;
}

@media (max-width: 480px) {
    form input{
    width: 180px;
    padding-left: 15px;
    background-color: #3A1616;
    color: #855e02;
}
  }

form button{
    outline: none;
    border: none;
    border-radius: 18px;
    padding: 10px;
    width: 50px;
    background-color: #1b0909;
}


footer{
    text-align: center;
    color: #855e02;
}

@media (max-width: 480px) {
    footer{
    font-size: 10px;
    width: 300px;
}
  }

.credits a{
    text-decoration: none;
    color: #855e02;
    font-weight: bold;
}


#movieContainer {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(220px, 1fr)); /* a bit wider for details */
  gap: 20px;
  margin-top: 20px;
  margin-bottom: 270px;
}


.movie-card {
  background-color: #3A1616;
  padding: 10px;
  border-radius: 8px;
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  box-shadow: 0px 4px 8px rgba(0,0,0,0.5);
}


.movie-card img {
  width: 100%;
  height: auto;
  border-radius: 5px;
}

.movie-card p, 
.movie-card h3 {
  margin: 5px 0;
  color: #ffb300;
}


